package fr.itsonus.bousoleplussbackend.domain.auth.spi;

import fr.itsonus.bousoleplussbackend.domain.auth.model.RefreshToken;
import fr.itsonus.bousoleplussbackend.domain.auth.model.User;

import java.util.Optional;

public interface RefreshTokenCacheRepository {
    Optional<RefreshToken> findByToken(String token);

    Optional<RefreshToken> findByUser(User user);

    void deleteByUserId(long userId);

    RefreshToken save(RefreshToken refreshToken);

    void delete(RefreshToken refreshToken);
}
