package fr.itsonus.bousoleplussbackend.infrastructure.postgres.repositories;

import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresBundleDto;
import org.springframework.data.repository.Repository;

import java.util.List;
import java.util.Optional;

public interface BundleCachePostgresRepository extends Repository<PostgresBundleDto, Long> {

    Optional<PostgresBundleDto> findByIdAndUserId(Long id, Long user_id);

    List<PostgresBundleDto> findAllByUserId(Long userId);

    PostgresBundleDto save(PostgresBundleDto postgresBundleDto);
}