package fr.itsonus.bousoleplussbackend.domain.quiz.spi;

import fr.itsonus.bousoleplussbackend.domain.auth.model.User;
import fr.itsonus.bousoleplussbackend.domain.quiz.model.Quiz;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Date;
import java.util.Optional;

public interface QuizCacheRepository {

    Optional<Quiz> findById(Long id);

    Page<Quiz> findAllByBundleId(Long bundleId, Pageable pageable);

    Iterable<Quiz> findAllCreatedBefore(Date before);

    Quiz createNew(Long bundleId, User user);
}
